"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.nodeStreamModuleIsAvailable = exports.loadNodeStreamModule = void 0;
const import_1 = __importDefault(require("@brillout/import"));
async function loadNodeStreamModule() {
    const streamModule = await loadModule();
    const { Readable, Writable } = streamModule;
    return { Readable, Writable };
}
exports.loadNodeStreamModule = loadNodeStreamModule;
async function nodeStreamModuleIsAvailable() {
    try {
        await loadModule();
        return true;
    }
    catch (err) {
        return false;
    }
}
exports.nodeStreamModuleIsAvailable = nodeStreamModuleIsAvailable;
function loadModule() {
    return (0, import_1.default)('stream');
}
